module EasyAsPie
  module ViewHelper

    # <div class="treeview" data-percent="73">73%</div>
    def rails_treeview percent, *args
      raise ArgumentError, "Must take a percent argument" unless percent
      pie_options = {:"data-percent" => percent, :class => 'treeview'}
      
      options = args.extract_options!
      pie_options.merge!(options || {})

      label = args.first || "#{percent}%"

      content_tag :div, label, pie_options
    end
  end
end